### Hierarchy

- Particle
  - PDParticle

## Index

### Constructors

- constructor

### Properties

- alpha
- color
- colorArgb
- colorArgbDelta
- currentTime
- emitRadius
- emitRadiusDelta
- emitRotation
- emitRotationDelta
- radialAcceleration
- rotation
- rotationDelta
- scale
- scaleDelta
- startX
- startY
- tangentialAcceleration
- totalTime
- velocityX
- velocityY
- x
- y

## Constructors

### constructor

- new PDParticle(): PDParticle

- Overrides Particle.constructor

  - Defined in lib/starling/extensions/PDParticle.d.ts:20

  #### Returns PDParticle

## Properties

### alpha

alpha: number

Inherited from Particle.alpha

- Defined in lib/starling/extensions/Particle.d.ts:4

### color

color: number

Inherited from Particle.color

- Defined in lib/starling/extensions/Particle.d.ts:5

### colorArgb

colorArgb: ColorArgb

- Defined in lib/starling/extensions/PDParticle.d.ts:7

### colorArgbDelta

colorArgbDelta: ColorArgb

- Defined in lib/starling/extensions/PDParticle.d.ts:8

### currentTime

currentTime: number

Inherited from Particle.currentTime

- Defined in lib/starling/extensions/Particle.d.ts:6

### emitRadius

emitRadius: number

- Defined in lib/starling/extensions/PDParticle.d.ts:9

### emitRadiusDelta

emitRadiusDelta: number

- Defined in lib/starling/extensions/PDParticle.d.ts:10

### emitRotation

emitRotation: number

- Defined in lib/starling/extensions/PDParticle.d.ts:11

### emitRotationDelta

emitRotationDelta: number

- Defined in lib/starling/extensions/PDParticle.d.ts:12

### radialAcceleration

radialAcceleration: number

- Defined in lib/starling/extensions/PDParticle.d.ts:13

### rotation

rotation: number

Inherited from Particle.rotation

- Defined in lib/starling/extensions/Particle.d.ts:7

### rotationDelta

rotationDelta: number

- Defined in lib/starling/extensions/PDParticle.d.ts:14

### scale

scale: number

Inherited from Particle.scale

- Defined in lib/starling/extensions/Particle.d.ts:8

### scaleDelta

scaleDelta: number

- Defined in lib/starling/extensions/PDParticle.d.ts:15

### startX

startX: number

- Defined in lib/starling/extensions/PDParticle.d.ts:16

### startY

startY: number

- Defined in lib/starling/extensions/PDParticle.d.ts:17

### tangentialAcceleration

tangentialAcceleration: number

- Defined in lib/starling/extensions/PDParticle.d.ts:18

### totalTime

totalTime: number

Inherited from Particle.totalTime

- Defined in lib/starling/extensions/Particle.d.ts:9

### velocityX

velocityX: number

- Defined in lib/starling/extensions/PDParticle.d.ts:19

### velocityY

velocityY: number

- Defined in lib/starling/extensions/PDParticle.d.ts:20

### x

x: number

Inherited from Particle.x

- Defined in lib/starling/extensions/Particle.d.ts:10

### y

y: number

Inherited from Particle.y

- Defined in lib/starling/extensions/Particle.d.ts:11

Generated using TypeDoc